Bug 233849 - maxima-runtime-gcl hangs without gcl installed
Summary: maxima-runtime-gcl hangs without gcl installed
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 12:48 UTC by Ross Hetherington
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-13 12:03:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ross Hetherington 2007-03-25 12:48:30 UTC
Description of problem:
Package `maxima' depends on `maxima-runtime-gcl' which should depend on `gcl'
but doesn't. So if `gcl' is not installed, then maxima doesn't work, and it
isn't clear why.

How reproducible: 
Always


Steps to Reproduce:
1. Install maxima. maxima-runtime-gcl will be installed as a dependancy, but not
gcl.
2. Attempt to run maxima. It will appear to run, but any attempt to run an
expression will fail.

Comment 1 Rex Dieter 2007-03-25 16:11:00 UTC
WORKSFORME:

$rpm -q maxima gcl
maxima-5.11.0-6.fc6
package gcl is not installed

$maxima
Maxima 5.11.0 http://maxima.sourceforge.net
Using Lisp GNU Common Lisp (GCL) GCL 2.6.7 (aka GCL)
Distributed under the GNU Public License. See the file COPYING.
Dedicated to the memory of William Schelter.
This is a development version of Maxima. The function bug_report()
provides bug reporting information.
(%i1) 1+1;
(%o1) 



Comment 2 Rex Dieter 2007-03-25 16:12:05 UTC
(%o1) was truncated in my paste, should have been:
(%o1)                                  2

Could you provide an expression that doesn't work (for you)?

Comment 3 Ross Hetherington 2007-03-25 16:44:35 UTC
Even 1+1 doesn't work if I uninstall gcl:

(%i1) 1+1;

[no output: ctrl-c returns to shell]

Comment 4 Rex Dieter 2007-03-25 16:52:11 UTC
Hrm, so (for you).. maxima-runtime-gcl hangs without gcl installed, and works if
it is?

For giggles, what does the following commands output?
$ uname -a
$ rpm -q glibc gcl maxima-runtime-gcl

Comment 5 Ross Hetherington 2007-03-25 17:53:57 UTC
uname -a : Linux *******.localdomain.com 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19
11:38:26 EDT 2007 i686 i686 i386 GNU/Linux

rpm -q glibc gcl maxima-runtime-gcl:
glibc-2.5-10.fc6
gcl-2.6.7-14.fc6
maxima-runtime-gcl-5.11.0-6.fc6


Comment 6 Rex Dieter 2007-03-25 19:27:15 UTC
Bummer, I'll keep trying to reproduce (my box isn't smp, so I'll check that next).

Comment 7 Ross Hetherington 2007-03-25 20:03:48 UTC
Why is it that maxima-runtime-clisp depends on clisp, but maxima-runtime-gcl
doesn't depend on gcl?

Comment 8 Rex Dieter 2007-03-25 20:18:42 UTC
Differences in their implementations.  clisp-compiled items require a clisp
runtime, whereas gcl-compiled ones (apparently?) do not (but I could be mistaken
in this case, the jury is still out).

Comment 9 Rex Dieter 2007-06-13 11:56:43 UTC
maxima-5.12.0 has been pushed, does this new version behave better?

Comment 10 Ross Hetherington 2007-06-13 12:00:12 UTC
I got the update through yum, and I can confirm that the bug no longer appears
for me (still on fc6).

Comment 11 Rex Dieter 2007-06-13 12:03:31 UTC
yay, good news indeed.  happy maxima'ing!


Note You need to log in before you can comment on or make changes to this bug.